// Used for shadow lookup
varying vec3 normal;
varying vec4 position;

void main()
{
  /* first transform the normal into eye space and normalize the result */
  normal = normalize(gl_NormalMatrix*gl_Normal);
  /* transform vertex coordinates into eye space */
  position = gl_ModelViewMatrix*gl_Vertex;

  gl_Position = ftransform();
  gl_FrontColor = gl_Color;
}

